let
  mods = import ./modules;
  users = import ./users;
  sources = import ./npins;
  mkNixpkgsSrc = (import sources.nix-patches { patchFile = ./patches; }).mkNixpkgsSrc;
  lib =
    (import (mkNixpkgsSrc {
      src = sources.nixpkgs;
      version = "unstable";
    }) { }).lib;
in
{
  meta = {
    nixpkgs = mkNixpkgsSrc {
      src = sources.nixpkgs;
      version = "unstable";
    };
    nodeNixpkgs."kat-mail-test" = mkNixpkgsSrc {
      src = sources.nixpkgs;
      version = "betamail";
    };
    specialArgs = {
      inherit mods users sources;
    };
  };
  defaults =
    {
      name,
      ...
    }:
    {
      imports = [ ./kat ];
      networking.hostName = name;
    };
}
// lib.mapAttrs' (name: _: {
  name = lib.removeSuffix ".nix" name;
  value = import ./machines/${name};
}) (builtins.readDir ./machines)
