{
  pkgs,
  modulesPath,
  lib,
  sources,
  ...
}:
{
  deployment = {
    allowLocalDeployment = false;
    targetHost = null;
  };

  imports = [
    ("${sources.nixos-images}/nix/kexec-installer/module.nix")
  ];

  boot = {
    kernelParams = [ "console=ttyS0" ];
    kernelPackages = lib.mkForce pkgs.linuxPackages_latest;
    supportedFilesystems = {
      bcachefs = true;
      zfs = lib.mkForce false;
    };
  };

  networking = {
    networkmanager.enable = false;
    wireless.enable = false;
  };
  console.keyMap = "fr";

  environment.systemPackages = with pkgs; [
    perl
    git
  ];
  programs.zsh.enable = true;
  services = {
    openssh.enable = true;
    qemuGuest.enable = true;
    getty.autologinUser = lib.mkForce "root";
  };

  system.stateVersion = lib.mkForce "24.11";
}
